FROM golang:1.17.6-buster

# Making app folder, copy everything to it, and set working directory
RUN mkdir -p /app
COPY . /app
WORKDIR /app

# Update debian and install tools for easy debugging
RUN apt update 

# Install and tidy golang dependency for server 
RUN go mod tidy \
    && go mod vendor 

# Change script permission
RUN chmod +x ./scripts/init-server.sh && chmod +x ./scripts/migrate-down.sh && chmod +x ./scripts/migrate-up.sh

# Run the server
CMD ["bash", "./scripts/init-server.sh"]